## ros-noetic-sesame-ros 2.1.28

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sesame_ros)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  message_generation
)

add_service_files(
  FILES
  Command.srv
  Status.srv
)

generate_messages(
  DEPENDENCIES
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)

if($ENV{ROS_DISTRO} STRGREATER "melodic")
  catkin_generate_virtualenv(
    PYTHON_INTERPRETER python3
    )
else()
  catkin_generate_virtualenv(
    PYTHON_INTERPRETER python2
    )
endif()

include_directories()

file(GLOB PYTHON_SCRIPT_FILES node_scripts/* scripts/* test/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPT_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/test_rospy_node.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
endif()

=== requirements.txt ===
asn1crypto==1.3.0
certifi==2020.6.20
cffi==1.14.0
chardet==3.0.4
cryptography==2.3
enum34==1.1.10
idna==2.7
ipaddress==1.0.23
ndg-httpsclient==0.5.1
pyasn1==0.4.8
pycparser==2.20
pyOpenSSL==17.5.0
requests==2.20.0
six==1.15.0
urllib3==1.24.2

## ros-noetic-sesame-ros 2.1.21

=== debian/changelog ===
ros-noetic-sesame-ros (2.1.21-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-noetic-sesame-ros (2.1.20-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-noetic-sesame-ros (2.1.19-2buster) buster; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-noetic-sesame-ros (2.1.18-2buster) buster; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * update sesame_ros/requirements.txt to pass https://github.com/locusrobotics/catkin_virtualenv/blob/master/README.md#locking-dependencies
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-noetic-sesame-ros (2.1.17-2buster) buster; urgency=high

  * update pip modules for security reason (#196 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/196>)
  * add idna==2.7
    to cloes ERROR: requests 2.20.0 has requirement idna<2.8,>=2.5, but you'll have idna 2.9 which is incompatible.
  * Bump urllib3 from 1.22 to 1.24.2 in /sesame_ros
    Bumps [urllib3](https://github.com/urllib3/urllib3) from 1.22 to 1.24.2.
    - [Release notes](https://github.com/urllib3/urllib3/releases)
    - [Changelog](https://github.com/urllib3/urllib3/blob/master/CHANGES.rst)
    - [Commits](https://github.com/urllib3/urllib3/compare/1.22...1.24.2)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump requests from 2.19.1 to 2.20.0 in /sesame_ros
    Bumps [requests](https://github.com/psf/requests) from 2.19.1 to 2.20.0.
    - [Release notes](https://github.com/psf/requests/releases)
    - [Changelog](https://github.com/psf/requests/blob/master/HISTORY.md)
    - [Commits](https://github.com/psf/requests/compare/v2.19.1...v2.20.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump pyopenssl from 16.2.0 to 17.5.0 in /sesame_ros
    Bumps [pyopenssl](https://github.com/pyca/pyopenssl) from 16.2.0 to 17.5.0.
    - [Release notes](https://github.com/pyca/pyopenssl/releases)
    - [Changelog](https://github.com/pyca/pyopenssl/blob/master/CHANGELOG.rst)
    - [Commits](https://github.com/pyca/pyopenssl/compare/16.2.0...17.5.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Contributors: Kei Okada, dependabot[bot]

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-sesame-ros (2.1.16-2buster) buster; urgency=high

  * add i386 tests (#191 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/191>)
  * specify python module number, closes #190 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/190>
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-noetic-sesame-ros (2.1.15-2buster) buster; urgency=high

  * [sesame_ros] Add dependency for building cryptograpy (#180 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/180>)
    
      * Add url of ROS wiki for sesame_ros
      * Add k-okada to maintainer of sesame_ros
      * Add libffi-dev and libssl-dev as dependencies of cryptography
    
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-noetic-sesame-ros (2.1.14-2buster) buster; urgency=high

  * Add sesame_ros package (#176 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/176>)
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-sesame-ros
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libffi-dev, libssl-dev, ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-message-generation
Homepage: http://ros.org/wiki/sesame_ros
Standards-Version: 3.9.2

Package: ros-noetic-sesame-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime
Description: ROS API for Sesame smart lock

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-sesame-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-sesame-ros 2.1.28

=== debian/changelog ===
ros-noetic-sesame-ros (2.1.28-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2023 15:00:00 -0000

ros-noetic-sesame-ros (2.1.27-1focal) focal; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 23 Jun 2023 15:00:00 -0000

ros-noetic-sesame-ros (2.1.26-1focal) focal; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Jun 2023 15:00:00 -0000

ros-noetic-sesame-ros (2.1.25-1focal) focal; urgency=high

  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * Explicit python interpreter in catkin_virtualenv (#367 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/367>)
  * Contributors: Kei Okada, Shingo Kitagawa, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-sesame-ros (2.1.24-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-noetic-sesame-ros (2.1.23-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-noetic-sesame-ros (2.1.22-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-noetic-sesame-ros (2.1.21-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-noetic-sesame-ros (2.1.20-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-noetic-sesame-ros (2.1.19-1focal) focal; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-noetic-sesame-ros (2.1.18-1focal) focal; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * update sesame_ros/requirements.txt to pass https://github.com/locusrobotics/catkin_virtualenv/blob/master/README.md#locking-dependencies
    
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-noetic-sesame-ros (2.1.17-1focal) focal; urgency=high

  * update pip modules for security reason (#196 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/196>)
  * add idna==2.7
    to cloes ERROR: requests 2.20.0 has requirement idna<2.8,>=2.5, but you'll have idna 2.9 which is incompatible.
  * Bump urllib3 from 1.22 to 1.24.2 in /sesame_ros
    Bumps [urllib3](https://github.com/urllib3/urllib3) from 1.22 to 1.24.2.
    - [Release notes](https://github.com/urllib3/urllib3/releases)
    - [Changelog](https://github.com/urllib3/urllib3/blob/master/CHANGES.rst)
    - [Commits](https://github.com/urllib3/urllib3/compare/1.22...1.24.2)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump requests from 2.19.1 to 2.20.0 in /sesame_ros
    Bumps [requests](https://github.com/psf/requests) from 2.19.1 to 2.20.0.
    - [Release notes](https://github.com/psf/requests/releases)
    - [Changelog](https://github.com/psf/requests/blob/master/HISTORY.md)
    - [Commits](https://github.com/psf/requests/compare/v2.19.1...v2.20.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Bump pyopenssl from 16.2.0 to 17.5.0 in /sesame_ros
    Bumps [pyopenssl](https://github.com/pyca/pyopenssl) from 16.2.0 to 17.5.0.
    - [Release notes](https://github.com/pyca/pyopenssl/releases)
    - [Changelog](https://github.com/pyca/pyopenssl/blob/master/CHANGELOG.rst)
    - [Commits](https://github.com/pyca/pyopenssl/compare/16.2.0...17.5.0)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Contributors: Kei Okada, dependabot[bot]

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-sesame-ros (2.1.16-1focal) focal; urgency=high

  * add i386 tests (#191 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/191>)
  * specify python module number, closes #190 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/190>
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-noetic-sesame-ros (2.1.15-1focal) focal; urgency=high

  * [sesame_ros] Add dependency for building cryptograpy (#180 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/180>)
    
      * Add url of ROS wiki for sesame_ros
      * Add k-okada to maintainer of sesame_ros
      * Add libffi-dev and libssl-dev as dependencies of cryptography
    
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2019 15:00:00 -0000

ros-noetic-sesame-ros (2.1.14-1focal) focal; urgency=high

  * Add sesame_ros package (#176 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/176>)
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Nov 2019 15:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
-Build-Depends: debhelper (>= 9.0.0), libffi-dev, libssl-dev, ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-message-generation
+Build-Depends: debhelper (>= 9.0.0), libffi-dev, libssl-dev, ros-noetic-catkin, ros-noetic-catkin-virtualenv, ros-noetic-message-generation, ros-noetic-rostest <!nocheck>
 Homepage: http://ros.org/wiki/sesame_ros
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
